Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #1  
Old 10 Oct 2013, 17:57
adnedarn adnedarn is offline
 
Join Date: Jan 2007
Real name: Andrew
4.2.2 upgrade with time errors and you have no access to php.ino what worked for me

Hello all! I did this upgrade this morning and got stuff messed up. My dedicated server is "managed" so I have no access to the php.ini file to edit it. BUT this worked for me... create a new php.ini file and in it put your timezone setting like


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

For my server putting it in /forums didn't work since it doesn't trickle down. So I put one in /includes and that seemed to clear everything up.

I didn't think those "warnings" were keeping me from the admin panel... but they were! Clear those with the above and you can get into your admincp.

Good luck!
Andrew


edit: I've forwarded that to vb support...
__________________
www.terraforums.com (Carnivorous plant discussions)
Reply With Quote
  #2  
Old 10 Oct 2013, 18:45
eboggs_jkvl eboggs_jkvl is offline
 
Join Date: Feb 2005
I think an edit to config.php with that line would have fixed you also. Problem with that method is if they put in a new config.php with the next update then you'd be broken again. If the new php.ini worked in your /includes folder, that is fantastic as that file will not be overwritten in any vb updates and thus keep the "fix" permanently.

Great stuff!

Elmer
Reply With Quote
  #3  
Old 10 Oct 2013, 18:49
RedTurtle's Avatar
RedTurtle RedTurtle is offline
 
Join Date: May 2006
Originally Posted by eboggs_jkvl View Post
I think an edit to config.php with that line would have fixed you also. Problem with that method is if they put in a new config.php with the next update then you'd be broken again. If the new php.ini worked in your /includes folder, that is fantastic as that file will not be overwritten in any vb updates and thus keep the "fix" permanently.

Great stuff!

Elmer
The vBulletin software package doesn't actually include a config.php in it for this very reason. They don't want it to overwrite your existing file. The download only contains a config.php.new file which won't overwrite your existing configuration.
Reply With Quote
  #4  
Old 10 Oct 2013, 21:28
adnedarn adnedarn is offline
 
Join Date: Jan 2007
Real name: Andrew
For some reason, no matter any of the "fixes" I did in config.php didn't work.. no matter if it were to fix the problem as you show, or to hide it. *shrug*
Andrew
__________________
www.terraforums.com (Carnivorous plant discussions)
Reply With Quote
  #5  
Old 10 Oct 2013, 21:47
ForceHSS's Avatar
ForceHSS ForceHSS is offline
 
Join Date: Apr 2008
you need to put the fix in your php.ini file this is what I have in mine but yours will be different so you need to find the right info to put in there


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 14:23.

Layout Options | Width: Wide Color: